Issue 119141 - IP clearance: replace ISCII<->Unicode tables
Summary: IP clearance: replace ISCII<->Unicode tables
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: code (show other issues)
Version: 3.4.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 15:12 UTC by hdu@apache.org
Modified: 2017-05-20 10:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
hdu: 3.4_release_blocker?


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2012-03-27 15:12:55 UTC
main/sal/textenc/convertiscii.tab has two tables for ISCII<->Unicode conversion under a license that is incompatible for a product released under the ASF umbrella.

Replacing them using the data from
ftp://ftp.unicode.org/Public/MAPPINGS/VENDORS/APPLE/DEVANAGA.TXT
looks simple.
Comment 1 hdu@apache.org 2012-03-27 15:17:36 UTC
Adding a reference to issue 15672 where the tables were introduced.
Comment 2 hdu@apache.org 2012-03-29 06:26:45 UTC
The tables are removed for now. Byte encodings other than UTF-8 have been obsolete for many years anyway.